#
# spec file for package perl-Lingua-EN-PluralToSingular
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-PluralToSingular
Version:        0.21
Release:        1.1
%define cpan_name Lingua-EN-PluralToSingular
Summary:        Change an English Plural to a Singular
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-EN-PluralToSingular/
Source0:        https://cpan.metacpan.org/authors/id/B/BK/BKB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This converts words denoting a plural in the English language into words
denoting a singular noun.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
* Fri Jun 22 2018 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Lingua-EN-PluralToSingular/Changes
  0.21 2018-06-21 13:55:23
  * More "men" words
  * Remove useless material from distro
  * Update documentation
* Tue Jun 19 2018 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-Lingua-EN-PluralToSingular/Changes
* Fri Oct 13 2017 coolo@suse.com
- initial package 0.19
  * created by cpanspec 1.78.08
